## cascading.tuple.hadoop.io
Class IndexTupleDeserializer

    java.lang.Object
      cascading.tuple.hadoop.io.IndexTupleDeserializer

All Implemented Interfaces:
  Deserializer<IndexTuple>

    public class IndexTupleDeserializer

extends Object

Constructor Summary
`IndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

Method Summary
`void` `close()`
`IndexTuple` `deserialize(IndexTuple indexTuple)`
`void` `open(InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexTupleDeserializer

    public IndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

Method Detail

### deserialize

    public IndexTuple deserialize(IndexTuple indexTuple)
                           throws IOException

  Throws:
    `IOException`

### open

    public void open(InputStream in)

  Specified by:
    `open` in interface `Deserializer<T>`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Deserializer<T>`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.